// src/components/sidebar/SidebarSubItem.jsx
import React from "react";
import { subItemCls, iconCls } from "./sidebarStyles";

export default function SidebarSubItem({ label, icon: Icon, active, onClick }) {
  return (
    <button onClick={onClick} className={subItemCls(active)}>
      <Icon className={iconCls(active)} />
      {label}
    </button>
  );
}
